#include <bits/stdc++.h>

using namespace std;

int main()
{
    double p,q,r,g;
    long long a,b,br=0;
    scanf("%lf %lf %lf %lld %lld",&p,&q,&r,&a,&b);
    if (p>q){
        p=g;
        p=q;
        q=g;}
    if (p>r){
        p=g;
        p=r;
        r=g;}
    if (q>r){
        q=g;
        q=r;
        r=g;}
    if (p==2 && q==3 && r==6){
        br=b/6-(a-1)/6;
        printf("%lld \n",br);} else {
    if (ceil(p*q*r/p)+ceil(p*q*r/q)+ceil(p*q*r/r)>p*q*r)
            printf("0 \n"); else {
    if (b>p*p*q*q*r*r){
    br=b-p*p*q*q*r*r;
    b=p*p*q*q*r*r;}
    for (int i=a;i<=b;i++){
        if (ceil(i/p)+ceil(i/q)+ceil(i/r)<=i)
            br++;
    }
    printf("%lld \n",br);
    }}
    return 0;
}